Subject: [Ltru] FW: Lisa's comments on 4646bis

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 18 Jun 2009 08:04:24 -0700

Hi,

Some comments on Lisa's, prefixed with AP>

---
> The reference to 2277 isn't normative.  It's documentation of how a 
> decision was made, not required "to implement" or even to understand langtags.

RFC 2277 is referenced when talking about "i-default":

   7.  The grandfathered tag "i-default" (Default Language) was
       originally registered according to [RFC1766] to meet the needs of
       [RFC2277].

I agree this part is informative.

       It is used to indicate not a specific language, but
       rather, it identifies the condition or content used where the
       language preferences of the user cannot be established.  It
       SHOULD NOT be used except as a means of labeling the default
       content for applications or protocols that require default
       language content to be labeled with that specific tag.  It MAY
       also be used by an application or protocol to identify when the
       default language content is being returned.

This seems fairly normative to me. Opinions?

AP> This text is normative, but it doesn't apply to RFC 2277, since 2277 would fall under the rubric of an "application or protocol that requires default language content to be labeled with that specific tag". This normative language is supplied for users of language tags, so that they know the purpose of the very specialized tag "i-default"---that its use is usually restricted to those cases where it is obligatory (meaning RFC 2277).

I do wonder now if 4646bis is actually updating section 4.5 of RFC 2277.

AP> No, I don't think we are. Hmm... if we are updating something not referenced in the document, it would be HTTP 1.1, Section 14.4.
---

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 18 Jun 2009 16:25:50 +0100

>AP> This text is normative, but it doesn't apply to RFC 2277, since 2277 would fall under the rubric of an "application or protocol that requires default language content to be labeled with that spe…
Ok.

>AP> No, I don't think we are.
>
Ok.

>Hmm... if we are updating something not referenced in the document, it would be HTTP 1.1, Section 14.4.
>  
>
I don't thinks so, Accept-Language is mentioned informatively in RFC 4647.
Besides HTTPBIS is already working on an update to RFC 2616.